#!/bin/sh

BASEDIR="$(dirname $0)"
DEVICE="$1"

if [ -r "$BASEDIR/truecrypt_config.cfg" ]
then
	. "$BASEDIR/truecrypt_config.cfg"
else
	echo "truecrypt_config.cfg not found" >&2
	exit 1
fi

message="$($tc_cmd -d $DEVICE)"
result="$?"

if [ "$result" != "0" ]
then
	exit 1
fi

echo "$message"
exit 0